Loading...
Searching...
No Matches
casacore::LogHolderIter Class Reference
tables package (libcasa_tables) » LogTables_module » LogTables_module_internal_classes

Class doing the actual iteration through an LoggerHolder. More...

`#include <LoggerHolder.h>`

## Public Member Functions

| LogHolderIter (const LoggerHolder *)
| Construct the iterator on the given LoggerHolderRep.
| ~LogHolderIter ()
| LogHolderIter (const LogHolderIter &)=delete
| Copy constructor is not needed, thus forbidden.
LogHolderIter & | operator= (const LogHolderIter &)=delete
| Assignment is not needed, thus forbidden.
Bool | next ()
| Increment to next message.
const LogHolderIterEntry & | getEntry () const
| Get the entry.
const LoggerHolder & | logger () const

## Private Attributes

const LoggerHolder * | itsLogger
Bool | itsTempClosed
LogHolderIter * | itsParentIter
uInt | itsCounter
LogHolderIterEntry | itsEntry

## Detailed Description

Class doing the actual iteration through an LoggerHolder.

### Intended use:

Internal

### Review Status

Test programs:
  tLoggerHolder

### Prerequisite

- LoggerHolder

### Synopsis

This class makes it possible to use the iterator in the STL-style. It is used by LoggerHolderIterator which is the class as seen by the user. LogHolderIter makes it easier to make the first entry available on construction of an LoggerHolderIterator.

Definition at line 424 of file LoggerHolder.h.

## Constructor & Destructor Documentation

## LogHolderIter() [1/2]

casacore::LogHolderIter::LogHolderIter | ( | const LoggerHolder * |  | ) |

Construct the iterator on the given LoggerHolderRep.

Referenced by LogHolderIter(), and operator=().

## ~LogHolderIter()

casacore::LogHolderIter::~LogHolderIter | ( |  | ) |

## LogHolderIter() [2/2]

casacore::LogHolderIter::LogHolderIter | ( | const LogHolderIter & |  | ) |

delete

Copy constructor is not needed, thus forbidden.

References LogHolderIter().

## Member Function Documentation

## getEntry()

const LogHolderIterEntry & casacore::LogHolderIter::getEntry | ( |  | ) | const

inline

Get the entry.

Definition at line 443 of file LoggerHolder.h.

References itsEntry.

## logger()

const LoggerHolder & casacore::LogHolderIter::logger | ( |  | ) | const

inline

Definition at line 446 of file LoggerHolder.h.

References itsLogger.

## next()

Bool casacore::LogHolderIter::next | ( |  | ) |

Increment to next message.

Returns False if at the end.

## operator=()

LogHolderIter & casacore::LogHolderIter::operator= | ( | const LogHolderIter & |  | ) |

delete

Assignment is not needed, thus forbidden.

References LogHolderIter().

## Member Data Documentation

## itsCounter

uInt casacore::LogHolderIter::itsCounter

private

Definition at line 453 of file LoggerHolder.h.

## itsEntry

LogHolderIterEntry casacore::LogHolderIter::itsEntry

private

Definition at line 454 of file LoggerHolder.h.

Referenced by getEntry().

## itsLogger

const LoggerHolder* casacore::LogHolderIter::itsLogger

private

Definition at line 450 of file LoggerHolder.h.

Referenced by logger().

## itsParentIter

LogHolderIter* casacore::LogHolderIter::itsParentIter

private

Definition at line 452 of file LoggerHolder.h.

## itsTempClosed

Bool casacore::LogHolderIter::itsTempClosed

private

Definition at line 451 of file LoggerHolder.h.

The documentation for this class was generated from the following file:

- tables/LogTables/LoggerHolder.h